/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2005 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_)
#define AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class GhostLabel  
{

public:
	GhostLabel();
	virtual ~GhostLabel();
	
	string name;

	string orgx;
	string orgy;
	int x;
	int y;

	string orgwidth;
	string orgheight;
	int width;
	int height;

	Texture *background;
	xFont *font;

	string originaltext;
	string text;

	int alpha;
	int hoveralpha;
	int pressedalpha;
	bool alphamap;

	bool normal;
	bool hover;
	bool pressed;

	bool isHover;
	bool isPressed;

	bool standalone;

	string enterCommand;
	string leaveCommand;

	bool mouseInside;

	bool visible;
};

#endif // !defined(AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_)
